### Method

# Tracker SparqlCursor next_async

#### Declaration [src]

    void
    tracker_sparql_cursor_next_async (
      TrackerSparqlCursor* cursor,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Iterates the cursor asyncronously to the next result.

If the cursor was not started, it will point to the first result after this operation completes.

In the period between this call and the corresponding `tracker_sparql_cursor_next_finish()` call, the other cursor methods should not be used, nor their results trusted. The cursor should only be iterated once at a time.

#### Parameters

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable`

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`callback`

  Type: `GAsyncReadyCallback`

  User-defined `GAsyncReadyCallback` to be called when asynchronous operation is finished.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  User-defined data to be passed to `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.